CREATE TABLE ap_invoices_interface_ (
    INVOICE_ID                       NUMBER(18, 0) ,
    INVOICE_NUM                      VARCHAR2(200) ,
    INVOICE_TYPE_LOOKUP_CODE         VARCHAR2(100) ,
    INVOICE_DATE                     DATE          ,
    PO_NUMBER                        VARCHAR2(120) ,
    VENDOR_ID                        NUMBER(18, 0) ,
    VENDOR_NUM                       VARCHAR2(120) ,
    VENDOR_NAME                      VARCHAR2(960) ,
    VENDOR_SITE_ID                   NUMBER(18, 0) ,
    VENDOR_SITE_CODE                 VARCHAR2(960) ,
    INVOICE_AMOUNT                   NUMBER        ,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)  ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_DATE                    DATE          ,
    TERMS_ID                         NUMBER(18, 0) ,
    TERMS_NAME                       VARCHAR2(200) ,
    DESCRIPTION                      VARCHAR2(960) ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    AWT_GROUP_NAME                   VARCHAR2(200) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(4000),
    GLOBAL_ATTRIBUTE_CATEGORY        VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5         NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1           DATE          ,
    GLOBAL_ATTRIBUTE_DATE2           DATE          ,
    GLOBAL_ATTRIBUTE_DATE3           DATE          ,
    GLOBAL_ATTRIBUTE_DATE4           DATE          ,
    GLOBAL_ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    STATUS                           VARCHAR2(100) ,
    SOURCE                           VARCHAR2(320) ,
    GROUP_ID                         VARCHAR2(320) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    PAYMENT_CROSS_RATE_TYPE          VARCHAR2(120) ,
    PAYMENT_CROSS_RATE_DATE          DATE          ,
    PAYMENT_CROSS_RATE               NUMBER        ,
    PAYMENT_CURRENCY_CODE            VARCHAR2(60)  ,
    WORKFLOW_FLAG                    VARCHAR2(4)   ,
    DOC_CATEGORY_CODE                VARCHAR2(120) ,
    VOUCHER_NUM                      VARCHAR2(200) ,
    PAYMENT_METHOD_LOOKUP_CODE       VARCHAR2(100) ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(100) ,
    GOODS_RECEIVED_DATE              DATE          ,
    INVOICE_RECEIVED_DATE            DATE          ,
    GL_DATE                          DATE          ,
    ACCTS_PAY_CODE_COMBINATION_ID    NUMBER(18, 0) ,
    USSGL_TRANSACTION_CODE           VARCHAR2(120) ,
    EXCLUSIVE_PAYMENT_FLAG           VARCHAR2(4)   ,
    ORG_ID                           NUMBER(18, 0) ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER        ,
    PREPAY_NUM                       VARCHAR2(200) ,
    PREPAY_APPLY_AMOUNT              NUMBER        ,
    PREPAY_GL_DATE                   DATE          ,
    INVOICE_INCLUDES_PREPAY_FLAG     VARCHAR2(4)   ,
    NO_XRATE_BASE_AMOUNT             NUMBER        ,
    VENDOR_EMAIL_ADDRESS             VARCHAR2(4000),
    TERMS_DATE                       DATE          ,
    REQUESTER_ID                     NUMBER(18, 0) ,
    SHIP_TO_LOCATION                 VARCHAR2(160) ,
    EXTERNAL_DOC_REF                 VARCHAR2(960) ,
    PREPAY_LINE_NUM                  NUMBER        ,
    REQUESTER_FIRST_NAME             VARCHAR2(600) ,
    REQUESTER_LAST_NAME              VARCHAR2(600) ,
    APPLICATION_ID                   NUMBER(18, 0) ,
    PRODUCT_TABLE                    VARCHAR2(120) ,
    REFERENCE_KEY1                   VARCHAR2(4000),
    REFERENCE_KEY2                   VARCHAR2(600) ,
    REFERENCE_KEY3                   VARCHAR2(600) ,
    REFERENCE_KEY4                   VARCHAR2(600) ,
    REFERENCE_KEY5                   VARCHAR2(600) ,
    APPLY_ADVANCES_FLAG              VARCHAR2(4)   ,
    CALC_TAX_DURING_IMPORT_FLAG      VARCHAR2(4)   ,
    CONTROL_AMOUNT                   NUMBER        ,
    ADD_TAX_TO_INV_AMT_FLAG          VARCHAR2(4)   ,
    TAX_RELATED_INVOICE_ID           NUMBER(18, 0) ,
    TAXATION_COUNTRY                 VARCHAR2(120) ,
    DOCUMENT_SUB_TYPE                VARCHAR2(960) ,
    SUPPLIER_TAX_INVOICE_NUMBER      VARCHAR2(600) ,
    SUPPLIER_TAX_INVOICE_DATE        DATE          ,
    SUPPLIER_TAX_EXCHANGE_RATE       NUMBER        ,
    TAX_INVOICE_RECORDING_DATE       DATE          ,
    TAX_INVOICE_INTERNAL_SEQ         VARCHAR2(600) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    LEGAL_ENTITY_NAME                VARCHAR2(960) ,
    REFERENCE_1                      VARCHAR2(120) ,
    REFERENCE_2                      VARCHAR2(120) ,
    OPERATING_UNIT                   VARCHAR2(960) ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    REMITTANCE_MESSAGE1              VARCHAR2(600) ,
    REMITTANCE_MESSAGE2              VARCHAR2(600) ,
    REMITTANCE_MESSAGE3              VARCHAR2(600) ,
    UNIQUE_REMITTANCE_IDENTIFIER     VARCHAR2(1024),
    URI_CHECK_DIGIT                  VARCHAR2(8)   ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    PAYMENT_REASON_CODE              VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS          VARCHAR2(960) ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    DELIVERY_CHANNEL_CODE            VARCHAR2(120) ,
    PAID_ON_BEHALF_EMPLOYEE_ID       NUMBER(18, 0) ,
    NET_OF_RETAINAGE_FLAG            VARCHAR2(4)   ,
    REQUESTER_EMPLOYEE_NUM           VARCHAR2(120) ,
    CUST_REGISTRATION_CODE           VARCHAR2(120) ,
    CUST_REGISTRATION_NUMBER         VARCHAR2(120) ,
    PARTY_ID                         NUMBER(18, 0) ,
    PARTY_SITE_ID                    NUMBER(18, 0) ,
    PAY_PROC_TRXN_TYPE_CODE          VARCHAR2(120) ,
    PAYMENT_FUNCTION                 VARCHAR2(120) ,
    PAYMENT_PRIORITY                 NUMBER(2, 0)  ,
    PORT_OF_ENTRY_CODE               VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID         NUMBER(18, 0) ,
    ACCTS_PAY_CODE_CONCATENATED      VARCHAR2(1000),
    IMPORT_DOCUMENT_NUMBER           VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE             DATE          ,
    CORRECTION_YEAR                  NUMBER        ,
    CORRECTION_PERIOD                VARCHAR2(60)  ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)  ,
    EMPLOYEE_ADDRESS_CODE            VARCHAR2(60)  ,
    INTERCOMPANY_FLAG                VARCHAR2(4)   ,
    BUDGET_DATE                      DATE          ,
    FIRST_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    THIRD_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    FIRST_PARTY_REGISTRATION_NUM     VARCHAR2(240) ,
    THIRD_PARTY_REGISTRATION_NUM     VARCHAR2(240) ,
    LOAD_REQUEST_ID                  NUMBER(18, 0) ,
    CHECK_VAT_AMOUNT_PAID            VARCHAR2(4)   ,
    TRANSACTION_DEADLINE             NUMBER        ,
    AUTOMATIC_MATCHING_FLAG          VARCHAR2(4)   ,
    MATCHING_RULE_SET                VARCHAR2(200) ,
    MATCHING_RULE_SET_ID             NUMBER(18, 0) ,
    ROUTING_ATTRIBUTE1               VARCHAR2(1080),
    ROUTING_ATTRIBUTE2               VARCHAR2(1080),
    ROUTING_ATTRIBUTE3               VARCHAR2(1080),
    ROUTING_ATTRIBUTE4               VARCHAR2(1080),
    ROUTING_ATTRIBUTE5               VARCHAR2(1080),
    IMAGE_DOCUMENT_NUM               VARCHAR2(200) ,
    IMAGE_DOCUMENT_URI               VARCHAR2(4000),
    FISCAL_DOC_ACCESS_KEY            VARCHAR2(200) ,
    REMIT_TO_SUPPLIER_NAME           VARCHAR2(960) ,
    REMIT_TO_SUPPLIER_ID             NUMBER(18, 0) ,
    REMIT_TO_ADDRESS_NAME            VARCHAR2(960) ,
    REMIT_TO_ADDRESS_ID              NUMBER(18, 0) ,
    RELATIONSHIP_ID                  NUMBER(18, 0) ,
    REMIT_TO_SUPPLIER_NUM            VARCHAR2(120) ,
    AUDIT_ACTION_TYPE_               VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_            VARCHAR2(4000),
    AUDIT_IMPERSONATOR_              VARCHAR2(256) ,
    EXTERNAL_BANK_ACCOUNT_NUMBER     VARCHAR2(400) ,
    EXT_BANK_ACCOUNT_IBAN_NUMBER     VARCHAR2(200) ,
    REQUESTER_EMAIL_ADDRESS          VARCHAR2(960) ,
    ACC_REFERENCE_VALUE1             VARCHAR2(4000),
    INTERCOMPANY_CROSSCHARGE_FLAG    VARCHAR2(4)   ,
    DIGITAL_PAYMENT_ACCOUNT_NAME     VARCHAR2(600) ,
    LOGICAL_DOCUMENT_ID              NUMBER(18, 0) ,
    STREAM_DETAIL_ID                 NUMBER(18, 0) ,
    STREAM_DEFINITION_CODE           VARCHAR2(120) ,
    INVOICE_ID                       NUMBER(18, 0) ,
    INVOICE_NUM                      VARCHAR2(200) ,
    INVOICE_TYPE_LOOKUP_CODE         VARCHAR2(100) ,
    INVOICE_DATE                     DATE          ,
    PO_NUMBER                        VARCHAR2(120) ,
    VENDOR_ID                        NUMBER(18, 0) ,
    VENDOR_NUM                       VARCHAR2(120) ,
    VENDOR_NAME                      VARCHAR2(960) ,
    VENDOR_SITE_ID                   NUMBER(18, 0) ,
    VENDOR_SITE_CODE                 VARCHAR2(960) ,
    INVOICE_AMOUNT                   NUMBER        ,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)  ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    EXCHANGE_DATE                    DATE          ,
    TERMS_ID                         NUMBER(18, 0) ,
    TERMS_NAME                       VARCHAR2(200) ,
    DESCRIPTION                      VARCHAR2(960) ,
    AWT_GROUP_ID                     NUMBER(18, 0) ,
    AWT_GROUP_NAME                   VARCHAR2(200) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(4000),
    GLOBAL_ATTRIBUTE_CATEGORY        VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5         NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1           DATE          ,
    GLOBAL_ATTRIBUTE_DATE2           DATE          ,
    GLOBAL_ATTRIBUTE_DATE3           DATE          ,
    GLOBAL_ATTRIBUTE_DATE4           DATE          ,
    GLOBAL_ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    STATUS                           VARCHAR2(100) ,
    SOURCE                           VARCHAR2(320) ,
    GROUP_ID                         VARCHAR2(320) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    PAYMENT_CROSS_RATE_TYPE          VARCHAR2(120) ,
    PAYMENT_CROSS_RATE_DATE          DATE          ,
    PAYMENT_CROSS_RATE               NUMBER        ,
    PAYMENT_CURRENCY_CODE            VARCHAR2(60)  ,
    WORKFLOW_FLAG                    VARCHAR2(4)   ,
    DOC_CATEGORY_CODE                VARCHAR2(120) ,
    VOUCHER_NUM                      VARCHAR2(200) ,
    PAYMENT_METHOD_LOOKUP_CODE       VARCHAR2(100) ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(100) ,
    GOODS_RECEIVED_DATE              DATE          ,
    INVOICE_RECEIVED_DATE            DATE          ,
    GL_DATE                          DATE          ,
    ACCTS_PAY_CODE_COMBINATION_ID    NUMBER(18, 0) ,
    USSGL_TRANSACTION_CODE           VARCHAR2(120) ,
    EXCLUSIVE_PAYMENT_FLAG           VARCHAR2(4)   ,
    ORG_ID                           NUMBER(18, 0) ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER        ,
    PREPAY_NUM                       VARCHAR2(200) ,
    PREPAY_APPLY_AMOUNT              NUMBER        ,
    PREPAY_GL_DATE                   DATE          ,
    INVOICE_INCLUDES_PREPAY_FLAG     VARCHAR2(4)   ,
    NO_XRATE_BASE_AMOUNT             NUMBER        ,
    VENDOR_EMAIL_ADDRESS             VARCHAR2(4000),
    TERMS_DATE                       DATE          ,
    REQUESTER_ID                     NUMBER(18, 0) ,
    SHIP_TO_LOCATION                 VARCHAR2(160) ,
    EXTERNAL_DOC_REF                 VARCHAR2(960) ,
    PREPAY_LINE_NUM                  NUMBER        ,
    REQUESTER_FIRST_NAME             VARCHAR2(600) ,
    REQUESTER_LAST_NAME              VARCHAR2(600) ,
    APPLICATION_ID                   NUMBER(18, 0) ,
    PRODUCT_TABLE                    VARCHAR2(120) ,
    REFERENCE_KEY1                   VARCHAR2(4000),
    REFERENCE_KEY2                   VARCHAR2(600) ,
    REFERENCE_KEY3                   VARCHAR2(600) ,
    REFERENCE_KEY4                   VARCHAR2(600) ,
    REFERENCE_KEY5                   VARCHAR2(600) ,
    APPLY_ADVANCES_FLAG              VARCHAR2(4)   ,
    CALC_TAX_DURING_IMPORT_FLAG      VARCHAR2(4)   ,
    CONTROL_AMOUNT                   NUMBER        ,
    ADD_TAX_TO_INV_AMT_FLAG          VARCHAR2(4)   ,
    TAX_RELATED_INVOICE_ID           NUMBER(18, 0) ,
    TAXATION_COUNTRY                 VARCHAR2(120) ,
    DOCUMENT_SUB_TYPE                VARCHAR2(960) ,
    SUPPLIER_TAX_INVOICE_NUMBER      VARCHAR2(600) ,
    SUPPLIER_TAX_INVOICE_DATE        DATE          ,
    SUPPLIER_TAX_EXCHANGE_RATE       NUMBER        ,
    TAX_INVOICE_RECORDING_DATE       DATE          ,
    TAX_INVOICE_INTERNAL_SEQ         VARCHAR2(600) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    LEGAL_ENTITY_NAME                VARCHAR2(960) ,
    REFERENCE_1                      VARCHAR2(120) ,
    REFERENCE_2                      VARCHAR2(120) ,
    OPERATING_UNIT                   VARCHAR2(960) ,
    BANK_CHARGE_BEARER               VARCHAR2(120) ,
    REMITTANCE_MESSAGE1              VARCHAR2(600) ,
    REMITTANCE_MESSAGE2              VARCHAR2(600) ,
    REMITTANCE_MESSAGE3              VARCHAR2(600) ,
    UNIQUE_REMITTANCE_IDENTIFIER     VARCHAR2(1024),
    URI_CHECK_DIGIT                  VARCHAR2(8)   ,
    SETTLEMENT_PRIORITY              VARCHAR2(120) ,
    PAYMENT_REASON_CODE              VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS          VARCHAR2(960) ,
    PAYMENT_METHOD_CODE              VARCHAR2(120) ,
    DELIVERY_CHANNEL_CODE            VARCHAR2(120) ,
    PAID_ON_BEHALF_EMPLOYEE_ID       NUMBER(18, 0) ,
    NET_OF_RETAINAGE_FLAG            VARCHAR2(4)   ,
    REQUESTER_EMPLOYEE_NUM           VARCHAR2(120) ,
    CUST_REGISTRATION_CODE           VARCHAR2(120) ,
    CUST_REGISTRATION_NUMBER         VARCHAR2(120) ,
    PARTY_ID                         NUMBER(18, 0) ,
    PARTY_SITE_ID                    NUMBER(18, 0) ,
    PAY_PROC_TRXN_TYPE_CODE          VARCHAR2(120) ,
    PAYMENT_FUNCTION                 VARCHAR2(120) ,
    PAYMENT_PRIORITY                 NUMBER(2, 0)  ,
    PORT_OF_ENTRY_CODE               VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID         NUMBER(18, 0) ,
    ACCTS_PAY_CODE_CONCATENATED      VARCHAR2(1000),
    IMPORT_DOCUMENT_NUMBER           VARCHAR2(200) ,
    IMPORT_DOCUMENT_DATE             DATE          ,
    CORRECTION_YEAR                  NUMBER        ,
    CORRECTION_PERIOD                VARCHAR2(60)  ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)  ,
    EMPLOYEE_ADDRESS_CODE            VARCHAR2(60)  ,
    INTERCOMPANY_FLAG                VARCHAR2(4)   ,
    BUDGET_DATE                      DATE          ,
    FIRST_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    THIRD_PARTY_REGISTRATION_ID      NUMBER(18, 0) ,
    FIRST_PARTY_REGISTRATION_NUM     VARCHAR2(240) ,
    THIRD_PARTY_REGISTRATION_NUM     VARCHAR2(240) ,
    LOAD_REQUEST_ID                  NUMBER(18, 0) ,
    CHECK_VAT_AMOUNT_PAID            VARCHAR2(4)   ,
    TRANSACTION_DEADLINE             NUMBER        ,
    AUTOMATIC_MATCHING_FLAG          VARCHAR2(4)   ,
    MATCHING_RULE_SET                VARCHAR2(200) ,
    MATCHING_RULE_SET_ID             NUMBER(18, 0) ,
    ROUTING_ATTRIBUTE1               VARCHAR2(1080),
    ROUTING_ATTRIBUTE2               VARCHAR2(1080),
    ROUTING_ATTRIBUTE3               VARCHAR2(1080),
    ROUTING_ATTRIBUTE4               VARCHAR2(1080),
    ROUTING_ATTRIBUTE5               VARCHAR2(1080),
    IMAGE_DOCUMENT_NUM               VARCHAR2(200) ,
    IMAGE_DOCUMENT_URI               VARCHAR2(4000),
    FISCAL_DOC_ACCESS_KEY            VARCHAR2(200) ,
    REMIT_TO_SUPPLIER_NAME           VARCHAR2(960) ,
    REMIT_TO_SUPPLIER_ID             NUMBER(18, 0) ,
    REMIT_TO_ADDRESS_NAME            VARCHAR2(960) ,
    REMIT_TO_ADDRESS_ID              NUMBER(18, 0) ,
    RELATIONSHIP_ID                  NUMBER(18, 0) ,
    REMIT_TO_SUPPLIER_NUM            VARCHAR2(120) ,
    AUDIT_ACTION_TYPE_               VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_            VARCHAR2(4000),
    AUDIT_IMPERSONATOR_              VARCHAR2(256) ,
    EXTERNAL_BANK_ACCOUNT_NUMBER     VARCHAR2(400) ,
    EXT_BANK_ACCOUNT_IBAN_NUMBER     VARCHAR2(200) ,
    REQUESTER_EMAIL_ADDRESS          VARCHAR2(960) ,
    ACC_REFERENCE_VALUE1             VARCHAR2(4000),
    INTERCOMPANY_CROSSCHARGE_FLAG    VARCHAR2(4)   ,
    DIGITAL_PAYMENT_ACCOUNT_NAME     VARCHAR2(600) ,
    LOGICAL_DOCUMENT_ID              NUMBER(18, 0) ,
    STREAM_DETAIL_ID                 NUMBER(18, 0) ,
    STREAM_DEFINITION_CODE           VARCHAR2(120) ,
    CONSTRAINT pk_ap_invoices_interface_ PRIMARY KEY (INVOICE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, LOAD_REQUEST_ID, INVOICE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, LOAD_REQUEST_ID)
);
